/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.stream.impl.delegator;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;

/**
 *
 * @author Gael Lalire
 */
public class DelegatorInputStream extends FileInputStream {

    /**
     * Keep a reference to avoid finalized (and temporary file deletion).
     */
    @SuppressWarnings("unused")
    private DelegatorStreamAccessor delegatorFileAccessor;

    public DelegatorInputStream(final DelegatorStreamAccessor delegatorFileAccessor, final File delegatorFile)
            throws FileNotFoundException {
        super(delegatorFile);
        this.delegatorFileAccessor = delegatorFileAccessor;
    }

}
