/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.stream.impl.file;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;

/**
 *
 * @author Gael Lalire
 */
public class TemporaryOutputStream extends FileOutputStream {

    private File file;

    private File temporaryfile;

    public TemporaryOutputStream(final File temporaryfile, final File file) throws FileNotFoundException {
        super(temporaryfile);
        this.temporaryfile = temporaryfile;
        this.file = file;
    }

    @Override
    public void close() throws IOException {
        super.close();
        file.delete();
        temporaryfile.renameTo(file);
    }

    @Override
    protected void finalize() {
        temporaryfile.delete();
    }

}
